=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS	 = hardening=+all

include /usr/share/dpkg/pkg-info.mk

LLVM_VERSION		 = $(shell sed -n -r '/^Build/,/^$$/s/.*llvm-([0-9]+)-dev.*/\1/p' debian/control)
LLVM_UPSTREAM_VERSION	 = $(shell dpkg-query -f '$${source:Upstream-Version}\n' -W llvm-$(LLVM_VERSION)-dev)

%:
	dh $@ --builddir build/

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBASE_LLVM_VERSION=$(LLVM_UPSTREAM_VERSION) \
		-DCMAKE_SKIP_RPATH=ON \
		-DBUILD_SHARED_LIBS=ON

execute_after_dh_auto_build:
	$(MAKE) -C build llvm-spirv
	mv build/tools/llvm-spirv/llvm-spirv build/tools/llvm-spirv/llvm-spirv-$(LLVM_VERSION)


gentarball:
	tar --transform 's,^,$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/,' \
		--exclude 'debian' --exclude-vcs \
		-cJf ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz .
